package com.mvc.dao;

import com.mvc.entity.TStkin;
import com.mvc.entity.TStkinExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TStkinMapper {
    long countByExample(TStkinExample example);

    int deleteByExample(TStkinExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(TStkin record);

    int insertSelective(TStkin record);

    List<TStkin> selectByExample(TStkinExample example);

    TStkin selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") TStkin record, @Param("example") TStkinExample example);

    int updateByExample(@Param("record") TStkin record, @Param("example") TStkinExample example);

    int updateByPrimaryKeySelective(TStkin record);

    int updateByPrimaryKey(TStkin record);
}